AGAVEHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVEHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEHandler

All Implemented Interfaces:
  AGAVECallbackItf, StAXContentHandler

    public class AGAVEHandler

extends StAXFeatureHandler
implements AGAVECallbackItf

Handles the root AGAVE element modified for agave format

Author:
  Hanning Ni Doubletwist Inc

Field Summary

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Constructor Summary
`AGAVEHandler()`

Method Summary
`Iterator` | `getSequences()` get all the top level sequences bio_sequence --> SimpleSequence contig --> SimpleAssembly --> SimpleSequence( if only one sequence ) chromosome -> SimpleAssembly -> SimpleSequence( if only one sequence)
`void` | `reportSequence(Sequence sequence)`
`void` | `startElementHandler(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AGAVEHandler

    public AGAVEHandler()

Method Detail

### reportSequence

    public void reportSequence(Sequence sequence)

  Specified by:
    `reportSequence` in interface `AGAVECallbackItf`
  Parameters:
    `sequence` - from sub-tag <bio_sequence>/<contig>/<chromosome>

         bio_sequence --> SimpleSequence
         contig   --> SimpleAssembly
                  --> SimpleSequence( if only one sequence )
         chromosome -> SimpleAssembly
                    -> SimpleSequence( if only one sequence)

### getSequences

    public Iterator getSequences()

  get all the top level sequences bio_sequence --> SimpleSequence contig --> SimpleAssembly --> SimpleSequence( if only one sequence ) chromosome -> SimpleAssembly -> SimpleSequence( if only one sequence)

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs,
                                    DelegationManager dm)
                             throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD